<app-battle-topbar *ngIf="battle" [battle]="battle"></app-battle-topbar>
<nz-divider></nz-divider>

<app-battle-actions *ngIf="battle" [battle]="battle" [jwtToken]="jwtToken"
      [hubConnection]="hubConnection"></app-battle-actions>

<nz-divider></nz-divider>
<div nz-row nzType="flex" nzGutter="6" nzJustify="space-around" style="text-align: center">
  <!-- DEFENDER STATS -->
  <div nz-col nzXs="24" nzSm="8" nzLg="8" style="margin-top: 5px">
    <nz-statistic [nzValue]="(fightersData?.defenderFightsCount | number)!"
      [nzTitle]="'Military.Battles.defenderFights' | translate"></nz-statistic>
    <nz-divider nzDashed></nz-divider>

    <app-battle-fights  [battleHero]="fightersData?.defenderBattleHero" [last5Fights]="fightersData?.defenderLast5Fights"
      color="blue"></app-battle-fights>
  </div>
  <!-- BUTTONS -->
  <div nz-col nzXs="24" nzSm="8" nzLg="8" style="margin-top: 5px">
    <div nz-row nzGutter="8" style="text-align: center;">
      <!-- TIMER -->
      <div nz-col nzSpan="24" style="margin-bottom: 5px;">
        <div *ngIf="!battle?.winnerId">
          <nz-countdown [nzTitle]="'Politics.Laws.timeLeft' | translate" [nzValue]="secondsLeft"></nz-countdown>
        </div>
        <div *ngIf="battle?.winnerId">
          <h3>{{ 'Military.Battles.Winner' | translate }}:</h3>
          <nz-tag [nzColor]="'#87d068'">{{ battle.winner?.name }}</nz-tag>
        </div>
      </div>

      <!-- WALL STATUS -->
      <div nz-col nzSpan="24">
        <nz-tag [nzColor]="fightersData?.wallSize < 0 ? 'red' : 'green'" style="width: 200px">
          <nz-statistic [nzValue]="(fightersData?.wallSize | number)!" [nzTitle]="'Military.Battles.wallSize' | translate"></nz-statistic>
        </nz-tag>
      </div>
    </div>
  </div>
  <!-- ATTACKER STATS -->
  <div nz-col nzXs="24" nzSm="8" nzLg="8" style="margin-top: 5px">
    <nz-statistic [nzValue]="(fightersData?.attackerFightsCount | number)!"
      [nzTitle]="'Military.Battles.attackerFights' | translate"></nz-statistic>
    <nz-divider nzDashed></nz-divider>

    <app-battle-fights [battleHero]="fightersData?.attackerBattleHero" [last5Fights]="fightersData?.attackerLast5Fights"
      color="red"></app-battle-fights>
  </div>
</div>

<nz-divider></nz-divider>
<span *ngFor="let item of watchers" [nzTooltipTitle]="item.Name" nz-tooltip
  style="margin-bottom: 6px; margin-right: 6px">
  <nz-avatar [nzShape]="'square'" [nzIcon]="'user'" [nzSize]="24" [nzSrc]="item.Avatar"></nz-avatar>
</span>
